@import "~bootstrap/scss/bootstrap";
@import "~bootstrap-vue/src/index.scss";

@import url('https://fonts.googleapis.com/css?family=Lato:400,700,900');

body {
    font-family: 'Lato', sans-serif;
    font-weight: 400;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Lato', sans-serif;
    font-weight: 700;
}

footer {
    @extend .container-fluid, .mt-auto, .pt-3, .row;
	text-align: center;
	width: 100%;
	font-size: smaller;

    background-color: #f5f5f5;
    box-shadow: inset 0 8px 12px -12px black;

    // Bootstrap row includes negative margins on both sides which we don't want
    margin-left: 0;
    margin-right: 0;
}

.login-form-1 {
    background: #ffffff;
    border: 1px solid #eeeeee;
    border-radius: 10px 10px 0 0;
}

.socialaccount_ballot ul {
    list-style: none;
    padding: 0;
}

.socialaccount_ballot ul li {
    margin: 5px 0;
}

.login-form-2 {
    background: #eeeeee;
    border: 1px solid #eeeeee;
    margin-left: -1px;
    border-radius: 0 0 10px 10px;
}

@media (min-width: 768px) {
    .login-form-1 {
        border-radius: 10px 0 0 10px;
    }

    .login-form-2 {
        border-radius: 0 10px 10px 0;
    }
}


ul.errorlist {
	margin: 0 0 4px;
	padding: 0;
	color: #ba2121;
	background: #fff;
}

ul.errorlist li {
	font-size: 13px;
	display: block;
	margin-bottom: 4px;
}

ul.errorlist li:first-child {
	margin-top: 0;
}

ul.errorlist li a {
	color: inherit;
	text-decoration: underline;
}

a.episode-link {
	font-size: x-large;
}

div.puzzle-list {
	align-content: center;
	align-items: center;
	display: flex;
	flex-flow: row wrap;
}

div.puzzle-box {
	height: 15em;
	flex: 0 0 15em;
	margin: 1em;
	text-align: center;
}

div.puzzle-available {
	border: 0.5em solid #222;
	background: DarkSlateGrey;
}

div.puzzle-done {
	border: 0.5em solid #555;
	background: SlateGrey;
	background-image: url("/static/hunts/img/checkbox.png");
	background-repeat: no-repeat;
	background-position: 95% 95%;
	background-size: 3em 3em;
}

a.puzzle-link {
	color: White;
	margin: auto;
	font-size: x-large;
}

h1 {
	font-size: 30px;
}

h2 {
	font-size: 26px;
}

h3 {
	font-size: 21px;
}

h4 {
	font-size: 18px;
}

h5 {
	font-size: 14px;
}

h6 {
	font-size: 12px;
}

main {
    height: auto;

    > img {
        align-self: flex-start;
    }
}

.form-control::placeholder
{
	color: #aaa;
}

*[id$='-error'] {
	color: red;
}

.list-oneline {
    padding: 0;
    list-style: none;
    > li {
        display: inline;
        &:not(:last-child):after {
            content: ", ";
        }
    }
}
